

Permit a 3.75G:0.25G split.



 arch/i386/Kconfig       |    4 ++++
 include/asm-i386/page.h |    8 ++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

diff -puN arch/i386/Kconfig~config-PAGE_OFFSET-025G arch/i386/Kconfig
--- 25/arch/i386/Kconfig~config-PAGE_OFFSET-025G	2003-05-01 02:51:20.000000000 -0700
+++ 25-akpm/arch/i386/Kconfig	2003-05-01 02:51:20.000000000 -0700
@@ -690,6 +690,10 @@ choice
 	prompt "User address space size"
         default 1GB
 	
+config	025GB
+	bool "3.75 GB"
+	depends on !HIGHMEM64G
+	
 config	05GB
 	bool "3.5 GB"
 	depends on !HIGHMEM64G
diff -puN include/asm-i386/page.h~config-PAGE_OFFSET-025G include/asm-i386/page.h
--- 25/include/asm-i386/page.h~config-PAGE_OFFSET-025G	2003-05-01 02:51:20.000000000 -0700
+++ 25-akpm/include/asm-i386/page.h	2003-05-01 02:51:20.000000000 -0700
@@ -116,7 +116,9 @@ static __inline__ int get_order(unsigned
 
 #ifdef __ASSEMBLY__
 #include <linux/config.h>
-#ifdef CONFIG_05GB
+#ifdef CONFIG_025GB
+#define __PAGE_OFFSET          (0xF0000000)
+#elif defined(CONFIG_05GB)
 #define __PAGE_OFFSET          (0xE0000000)
 #elif defined(CONFIG_1GB)
 #define __PAGE_OFFSET          (0xC0000000)
@@ -126,7 +128,9 @@ static __inline__ int get_order(unsigned
 #define __PAGE_OFFSET          (0x40000000)
 #endif
 #else
-#ifdef CONFIG_05GB
+#ifdef CONFIG_025GB
+#define __PAGE_OFFSET          (0xF0000000UL)
+#elif defined(CONFIG_05GB)
 #define __PAGE_OFFSET          (0xE0000000UL)
 #elif defined(CONFIG_1GB)
 #define __PAGE_OFFSET          (0xC0000000UL)

_
